## ros-one-image-view2 2.2.16-2jammy.20251207.2303

=== debian/changelog ===
ros-one-image-view2 (2.2.16-2jammy.20251207.2303) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 07 Dec 2025 23:03:12 +0000

ros-one-image-view2 (2.2.16-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 06 Jan 2025 00:00:00 -0000

ros-one-image-view2 (2.2.15-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 13 Dec 2024 00:00:00 -0000

ros-one-image-view2 (2.2.14-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 12 Dec 2024 00:00:00 -0000

ros-one-image-view2 (2.2.13-0jammy) jammy; urgency=high

  * Fix for Noetic (#1774 <https://github.com/jsk-ros-pkg/jsk_common/issues/1774>)
    
      * test/publish_mouse_event.py: value of MouseEvent  must be integer
    
  * add test to compile on 22.04, see #1770 <https://github.com/jsk-ros-pkg/jsk_common/issues/1770> (#1773 <https://github.com/jsk-ros-pkg/jsk_common/issues/1773>)
    
      * revert code before C++11
      * avoid boost::bind (esp. global _1)
        it's deprecated to use global _1 from boost for a while now
        and the Debian ROS packages do not provide it anymore.
      * do not specify c++ standard
        it break with current log4cxx which requires c++17.
        No, going forward it's no option to specify the standard anymore.
        And it's not necessary either.
    
  * Fixed typo of Software License Agreement. and/o2r to and/or (#1764 <https://github.com/jsk-ros-pkg/jsk_common/issues/1764>)
  * Contributors: Kei Okada, Shingo Kitagawa, Iory Yanokura, v4hn

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 09 Nov 2023 00:00:00 -0000

ros-one-image-view2 (2.2.12-0jammy) jammy; urgency=high

  * set ccache prefix only for cmake <= 3.4 (#1694 <https://github.com/jsk-ros-pkg/jsk_common/issues/1694>)
  * Contributors: Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 07 Jun 2022 00:00:00 -0000

ros-one-image-view2 (2.2.11-0jammy) jammy; urgency=high

  * fix for noetic build (#1648 <https://github.com/jsk-ros-pkg/jsk_common/issues/1648>)
    
      * fox for opencv4
      * remove signals from find_package(Boost COMPONENTS ...)
      * migrate to noetic with ROS_PYTHON_VERSION=2/3, use multiple ROS distro strategy http://wiki.ros.org/noetic/Migration
      * upgrade package.xml to format=3
    
  * Add sample code for image_view2f( #1646 <https://github.com/jsk-ros-pkg/jsk_common/issues/1646>)
  * Contributors: Kei Okada, Naoya Yamaguchi, Shingo Kitagawa

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 10 Jul 2020 00:00:00 -0000

ros-one-image-view2 (2.2.10-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 03 Nov 2018 00:00:00 -0000

ros-one-image-view2 (2.2.9-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 02 Nov 2018 00:00:00 -0000

ros-one-image-view2 (2.2.8-0jammy) jammy; urgency=high

  * Add comment about installation (#1604 <https://github.com/jsk-ros-pkg/jsk_common/issues/1604>)
  * [image_view2/image_view2.cpp] Correct grammer. 'could not found' -> could not find' (#1606 <https://github.com/jsk-ros-pkg/jsk_common/issues/1606>)
  * Contributors: Yuto Uchimi, Iori Yanokura

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 01 Nov 2018 00:00:00 -0000

ros-one-image-view2 (2.2.7-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 27 Jun 2018 00:00:00 -0000

ros-one-image-view2 (2.2.6-0jammy) jammy; urgency=high

  * image_view2: support kinetic (#1573 <https://github.com/jsk-ros-pkg/jsk_common/issues/1573>)
  * image_view2: fix publish_mouse_event (#1564 <https://github.com/jsk-ros-pkg/jsk_common/issues/1564>)
  * need to find pcl_ros for image_view2 (#1541 <https://github.com/jsk-ros-pkg/jsk_common/issues/1541>)
  * Contributors: Eisoku Kuroiwa, Kei Okada, Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 05 Jan 2018 00:00:00 -0000

ros-one-image-view2 (2.2.5-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 19 Jun 2017 00:00:00 -0000

ros-one-image-view2 (2.2.4-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 14 Jun 2017 00:00:00 -0000

ros-one-image-view2 (2.2.3-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 23 Mar 2017 00:00:00 -0000

ros-one-image-view2 (2.2.2-0jammy) jammy; urgency=high

  * test/publish_lena.py: lena() is not included in scipy from 0.17
  * src/image_view2.cpp: add cv::waitKey for opencv3 installed from source to fix freezing issue
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 30 Dec 2016 00:00:00 -0000

ros-one-image-view2 (2.2.1-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 13 Dec 2016 00:00:00 -0000

ros-one-image-view2 (2.2.0-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 28 Oct 2016 00:00:00 -0000

ros-one-image-view2 (2.1.2-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 14 Sep 2016 00:00:00 -0000

ros-one-image-view2 (2.1.1-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 07 Sep 2016 00:00:00 -0000

ros-one-image-view2 (2.1.0-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 06 Sep 2016 00:00:00 -0000

ros-one-image-view2 (2.0.17-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 21 Jul 2016 00:00:00 -0000

ros-one-image-view2 (2.0.16-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 19 Jun 2016 00:00:00 -0000

ros-one-image-view2 (2.0.15-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 13 Jun 2016 00:00:00 -0000

ros-one-image-view2 (2.0.14-0jammy) jammy; urgency=high

  * fix for error when using opencv3
  * Contributors: Krishneel Chaudhary


