## ros-one-image-view2 2.2.16-15jammy.20260106.2115

=== debian/changelog ===
ros-one-image-view2 (2.2.16-15jammy.20260106.2115) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2026 21:15:06 +0000
