=== debian/changelog ===
ros-one-image-view2 (2.2.16-15jammy.20260221.2157) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 21 Feb 2026 21:57:28 +0000
