=== debian/control ===
Source: ros-one-image-view2
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-cv-bridge, ros-one-geometry-msgs, ros-one-image-geometry, ros-one-image-transport, ros-one-image-view, ros-one-message-filters, ros-one-message-generation, ros-one-pcl-ros, ros-one-roscpp, ros-one-rostest, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf
Homepage: http://ros.org/wiki/image_view2
Standards-Version: 3.9.2

Package: ros-one-image-view2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-cv-bridge, ros-one-geometry-msgs, ros-one-image-geometry, ros-one-image-transport, ros-one-image-view, ros-one-message-filters, ros-one-message-runtime, ros-one-pcl-ros, ros-one-roscpp, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf
Description: A simple viewer for ROS image topics with draw-on features
