## ros-one-image-view2 2.2.16-15noble.20260106.2121

=== debian/changelog ===
ros-one-image-view2 (2.2.16-15noble.20260106.2121) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2026 21:21:56 +0000
